OpenTTD Source: fmt::formatter< E, Char, std::enable_if_t< std::is_enum< E >::value > > Struct Template Reference

OpenTTD Source 15.0-beta1

Public Types | Public Member Functions
fmt::formatter< E, Char, std::enable_if_t< std::is_enum< E >::value > > Struct Template Reference
Inheritance diagram for fmt::formatter< E, Char, std::enable_if_t< std::is_enum< E >::value > >:

## Public Types
using | underlying_type = typename std::underlying_type< E >::type
using | parent = typename fmt::formatter< underlying_type >

## Public Member Functions
constexpr fmt::format_parse_context::iterator | parse (fmt::format_parse_context &ctx)
fmt::format_context::iterator | format (const E &e, format_context &ctx) const

## Detailed Description

template<typename E, typename Char>
struct fmt::formatter< E, Char, std::enable_if_t< std::is_enum< E >::value > >

Definition at line 17 of file format.hpp.

## Member Typedef Documentation

## ◆ parent

template<typename E , typename Char >

using fmt::formatter< E, Char, std::enable_if_t< std::is_enum< E >::value > >::parent = typename fmt::formatter<underlying_type>

Definition at line 19 of file format.hpp.

## ◆ underlying_type

template<typename E , typename Char >

using fmt::formatter< E, Char, std::enable_if_t< std::is_enum< E >::value > >::underlying_type = typename std::underlying_type<E>::type

Definition at line 18 of file format.hpp.

## Member Function Documentation

## ◆ format()

template<typename E , typename Char >

fmt::format_context::iterator fmt::formatter< E, Char, std::enable_if_t< std::is_enum< E >::value > >::format | ( | const E & | e,
|  | format_context & | ctx
| ) |  | const
| inline

Definition at line 26 of file format.hpp.

## ◆ parse()

template<typename E , typename Char >

constexpr fmt::format_parse_context::iterator fmt::formatter< E, Char, std::enable_if_t< std::is_enum< E >::value > >::parse | ( | fmt::format_parse_context & | ctx | ) |
| inlineconstexpr

Definition at line 21 of file format.hpp.

The documentation for this struct was generated from the following file:

- src/core/format.hpp